Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix.custom
Class FXCMResponse

    java.lang.Object
      com.fxcm.fix.custom.AFXCMMessage
          com.fxcm.fix.custom.FXCMResponse

All Implemented Interfaces:
  ITransportable

    public class FXCMResponse

extends AFXCMMessage

This class represents FXCMResponse response.

Field Summary
`static com.fxcm.entity.ICode` | `OBJ_TYPE` Message type
`static String` | `PARAMNAME_DASRESPONSE`

Fields inherited from class com.fxcm.fix.custom.AFXCMMessage
`RESPONSEECODING_DAS, RESPONSEECODING_DS, RESPONSEECODING_RE`

Constructor Summary
`FXCMResponse()` Default constructor.
`FXCMResponse(AFXCMMessage aMessage)`

Method Summary
`boolean` | `fill(IMessage aMsg)` Fills object state based on message state.
`String` | `getRefMsgType()`
`com.fxcm.entity.ICode` | `getType()` Obtains object type.
`void` | `setRefMsgType(String aRefMsgType)`
`IMessage` | `toMessage(String aSID, String aTradingSessionID, String aTradingSessionSubID, String aRequestID, int aOptions, IMessageFactory aFactory)` Converts object to IMessage.

Methods inherited from class com.fxcm.fix.custom.AFXCMMessage
`addAddon, copy, deepCopy, getAddons, getCustomBusID, getDatabaseBusID, getDBAlias, getEntityCode, getFXCMCommandID, getMakingTime, getMessageBusID, getParam, getParams, getRequestBusID, getRequestID, getRequestorID, getResponseEncoding, getSessionID, getTestReqID, getTradingSessionID, getTradingSessionSubID, getTransactTime, isValid, reset, setAddons, setCustomBusID, setDatabaseBusID, setDBAlias, setEntityCode, setFXCMCommandID, setMessageBusID, setParam, setParams, setRequestBusID, setRequestorID, setResponseEncoding, setSessionID, setTestReqID, setTradingSessionID, setTradingSessionSubID, setTransactTime, toMessage, toString, update`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PARAMNAME_DASRESPONSE

    public static final String PARAMNAME_DASRESPONSE

See Also:
  Constant Field Values

### OBJ_TYPE

    public static final com.fxcm.entity.ICode OBJ_TYPE

  Message type

Constructor Detail

### FXCMResponse

    public FXCMResponse()

  Default constructor.

### FXCMResponse

    public FXCMResponse(AFXCMMessage aMessage)

Method Detail

### getType

    public com.fxcm.entity.ICode getType()

  Obtains object type.

  Returns:
    code of object type.

### getRefMsgType

    public String getRefMsgType()

### setRefMsgType

    public void setRefMsgType(String aRefMsgType)

### toMessage

    public IMessage toMessage(String aSID,
                              String aTradingSessionID,
                              String aTradingSessionSubID,
                              String aRequestID,
                              int aOptions,
                              IMessageFactory aFactory)

  Description copied from class: `AFXCMMessage`
  Converts object to IMessage.

  Specified by:
    `toMessage` in interface `ITransportable`
  Overrides:
    `toMessage` in class `AFXCMMessage`
  Parameters:
    `aSID` - user session ID
    `aTradingSessionID` - Trading Session ID, to alternate a value from object state
    `aTradingSessionSubID` - Trading Session Sub ID, to alternate a value from object state
    `aRequestID` - Request ID, to alternate a value from object state
    `aOptions` - Set of options for message creation, reserved
    `aFactory` - message factory that is in use to process
  Returns:
    new messge create or `null` if creation fails

### fill

    public boolean fill(IMessage aMsg)

  Description copied from class: `AFXCMMessage`
  Fills object state based on message state.

  Specified by:
    `fill` in interface `ITransportable`
  Overrides:
    `fill` in class `AFXCMMessage`
  Parameters:
    `aMsg` - message to get new state from
  Returns:
    `true` if new state is OK; `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.